coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}/status2609170000

How to check validity of a category

# 01

Summary

How to check validity of a category

# 02

Details

Available buyer market: Korean

The following shows how to check if a display category is still valid for use or not.

An existing category might be made unavailable for use as a result of a category renewal or other changes.

Please be noted that the category renewal is conducted twice a year and the category changes resulting from the renewal are notified to the sellers.

As such, you don't need to do this validity check quite often.

Path

GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}/status

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}/status
# 03

Path parameters

NameTypeDescription
displayCategoryCode*string
display category code
# 04

Response body

Response message

NameTypeDescription
codestring
SUCCESS/ERROR
messagestring
message
databoolean
Whether it is available for use or not
true or false

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": true
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check parameter requested)

Display category code should be numeric.

See if you have entered a valid display category code. Display category code consists of numbers only.

400400 (check parameter requested)

Display category code 72631 is not a leaf category. Leaf category id's of the given display category code include: 58896,58889,58890,58891,58892,58893, and 58894.

See if you have entered a valid category code. Only a leaf category (or the lowest level category) ID can be entered as the display category code.